OpenVDB 12.1.0

Loading...
Searching...
No Matches
LLVMType< openvdb::math::half > Struct Reference

`#include <openvdb_ax/codegen/Types.h>`

## Static Public Member Functions
static llvm::Type * | get (llvm::LLVMContext &C)
static llvm::Constant * | get (llvm::LLVMContext &C, const openvdb::math::half V)
static llvm::Constant * | get (llvm::LLVMContext &C, const openvdb::math::half *const V)

## Static Public Attributes
static const bool | CXXUTypeIsNativeType = true

## Member Function Documentation

## ◆ get() [1/3]

llvm::Type * get | ( | llvm::LLVMContext & | C | ) |
| inline static

## ◆ get() [2/3]

llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const openvdb::math::half *const | V )
| inline static

## ◆ get() [3/3]

llvm::Constant * get | ( | llvm::LLVMContext & | C,
|  | const openvdb::math::half | V )
| inline static

## Member Data Documentation

## ◆ CXXUTypeIsNativeType

const bool CXXUTypeIsNativeType = true
| static